RStyle (Geomerative Reference)

geomerative

## Class RStyle

- java.lang.Object
- - geomerative.RStyle

-     public class RStyle
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `fill`
    `int` | `fillAlpha`
    `boolean` | `fillAlphaDef`
    `int` | `fillColor`
    `boolean` | `fillDef`
    `boolean` | `stroke`
    `int` | `strokeAlpha`
    `boolean` | `strokeAlphaDef`
    `int` | `strokeCap`
    `boolean` | `strokeCapDef`
    `int` | `strokeColor`
    `boolean` | `strokeDef`
    `int` | `strokeJoin`
    `boolean` | `strokeJoinDef`
    `float` | `strokeWeight`
    `boolean` | `strokeWeightDef`
    `processing.core.PImage` | `texture`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RStyle()`
    `RStyle(RStyle p)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setAlpha(float opacity)`
    `void` | `setAlpha(int opacity)`
    `void` | `setAlpha(java.lang.String str)`
    `void` | `setFill(boolean _fill)`
    `void` | `setFill(int _fillColor)`
    `void` | `setFill(java.lang.String str)`
    `void` | `setFillAlpha(int opacity)`
    `void` | `setFillAlpha(java.lang.String str)`
    `void` | `setStroke(boolean _stroke)`
    `void` | `setStroke(int _strokeColor)`
    `void` | `setStroke(java.lang.String str)`
    `void` | `setStrokeAlpha(int opacity)`
    `void` | `setStrokeAlpha(java.lang.String str)`
    `void` | `setStrokeCap(java.lang.String str)`
    `void` | `setStrokeJoin(java.lang.String str)`
    `void` | `setStrokeWeight(float value)`
    `void` | `setStrokeWeight(java.lang.String str)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### texture

          public processing.core.PImage texture

    - #### fillDef

          public boolean fillDef

    - #### fill

          public boolean fill

    - #### fillColor

          public int fillColor

    - #### fillAlphaDef

          public boolean fillAlphaDef

    - #### fillAlpha

          public int fillAlpha

    - #### strokeDef

          public boolean strokeDef

    - #### stroke

          public boolean stroke

    - #### strokeColor

          public int strokeColor

    - #### strokeAlphaDef

          public boolean strokeAlphaDef

    - #### strokeAlpha

          public int strokeAlpha

    - #### strokeWeightDef

          public boolean strokeWeightDef

    - #### strokeWeight

          public float strokeWeight

    - #### strokeCapDef

          public boolean strokeCapDef

    - #### strokeCap

          public int strokeCap

    - #### strokeJoinDef

          public boolean strokeJoinDef

    - #### strokeJoin

          public int strokeJoin

  - ### Constructor Detail

    - #### RStyle

          public RStyle()

    - #### RStyle

          public RStyle(RStyle p)

  - ### Method Detail

    - #### setFill

          public void setFill(boolean _fill)

    - #### setFill

          public void setFill(int _fillColor)

    - #### setFill

          public void setFill(java.lang.String str)

    - #### setStroke

          public void setStroke(boolean _stroke)

    - #### setStroke

          public void setStroke(int _strokeColor)

    - #### setStroke

          public void setStroke(java.lang.String str)

    - #### setStrokeWeight

          public void setStrokeWeight(float value)

    - #### setStrokeWeight

          public void setStrokeWeight(java.lang.String str)

    - #### setStrokeCap

          public void setStrokeCap(java.lang.String str)

    - #### setStrokeJoin

          public void setStrokeJoin(java.lang.String str)

    - #### setStrokeAlpha

          public void setStrokeAlpha(int opacity)

    - #### setStrokeAlpha

          public void setStrokeAlpha(java.lang.String str)

    - #### setFillAlpha

          public void setFillAlpha(int opacity)

    - #### setFillAlpha

          public void setFillAlpha(java.lang.String str)

    - #### setAlpha

          public void setAlpha(float opacity)

    - #### setAlpha

          public void setAlpha(int opacity)

    - #### setAlpha

          public void setAlpha(java.lang.String str)

Geomerative by Ricard Marxer, http://www.ricardmarxer.com/geomerative/